<?php

add_action( 'admin_head','woo_options' );  

function woo_options() {
// VARIABLES
$themename = "Daily Edition";
$manualurl = 'http://www.woothemes.com/support/theme-documentation/daily-edition/';
$shortname = "woo";



$GLOBALS['template_path'] = get_bloginfo('template_directory');

//Access the WordPress Categories via an Array
$woo_categories = array();  
$woo_categories_obj = get_categories('hide_empty=0');
foreach ($woo_categories_obj as $woo_cat) {
    $woo_categories[$woo_cat->cat_ID] = $woo_cat->cat_name;}
$categories_tmp = array_unshift($woo_categories, "Select a category:");    
       
//Access the WordPress Pages via an Array
$woo_pages = array();
$woo_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($woo_pages_obj as $woo_page) {
    $woo_pages[$woo_page->ID] = $woo_page->post_name; }
$woo_pages_tmp = array_unshift($woo_pages, "Select a page:");       


//Testing 
$options_select = array("one","two","three","four","five"); 
$options_radio = array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five"); 

//Stylesheets Reader
$alt_stylesheet_path = TEMPLATEPATH . '/styles/';
$alt_stylesheets = array();

if ( is_dir($alt_stylesheet_path) ) {
    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) { 
        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) {
            if(stristr($alt_stylesheet_file, ".css") !== false) {
                $alt_stylesheets[] = $alt_stylesheet_file;
            }
        }    
    }
}

//More Options


$other_entries = array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
$layout_select = array("Off","On","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20");

// THIS IS THE DIFFERENT FIELDS

$options = array();   

$options[] = array(	"name" => "General Settings",
					"icon" => "general",
					"type" => "heading");
						
$options[] = array(	"name" => "Theme Stylesheet",
					"desc" => "Please select your colour scheme here.",
					"id" => $shortname."_alt_stylesheet",
					"std" => "default.css",
					"type" => "select",
					"options" => $alt_stylesheets);

$options[] = array( "name" => "Custom Logo",
					"desc" => "Upload a logo for your theme, or specify an image URL directly.",
					"id" => $shortname."_logo",
					"std" => "",
					"type" => "upload");    

$options[] = array( "name" => "Custom Favicon",
					"desc" => "Upload a 16px x 16px <a href='http://www.faviconr.com/'>ico image</a> that will represent your website's favicon.",
					"id" => $shortname."_custom_favicon",
					"std" => "",
					"type" => "upload"); 

$options[] = array( "name" => "Tracking Code",
					"desc" => "Paste your Google Analytics (or other) tracking code here. This will be added into the footer template of your theme.",
					"id" => $shortname."_google_analytics",
					"std" => "",
					"type" => "textarea");        

$options[] = array( "name" => "RSS URL",
					"desc" => "Enter your preferred RSS URL. (Feedburner or other)",
					"id" => $shortname."_feedburner_url",
					"std" => "",
					"type" => "text");

$options[] = array(	"name" => "Feedburner ID",
					"desc" => "Enter your Feedburner ID here.",
					"id" => $shortname."_feedburner_id",
					"std" => "",
					"type" => "text");

$options[] = array( "name" => "Contact Form E-Mail",
					"desc" => "Enter your E-mail address to use on the Contact Form Page Template. Add the contact form by adding a new page and selecting 'Contact Form' as page template.",
					"id" => $shortname."_contactform_email",
					"std" => "",
					"type" => "text");
                        
$options[] = array( "name" => "Custom CSS",
					"desc" => "Quickly add some CSS to your theme by adding it to this block.",
					"id" => $shortname."_custom_css",
					"std" => "",
					"type" => "textarea");
					
$options[] = array(	"name" => "Layout",
					"icon" => "layout",
					"type" => "heading");
                    
$options[] = array(    "name" => "Homepage Boxes",
                    "desc" => "Select whether you want only full-width posts (Off), only 2-col / boxed posts (On), or a combination of the two (number of full-width posts)",
                    "id" => $shortname."_home_boxes",
                    "std" => "On",
                    "type" => "select",
                    "options" => $layout_select );
                    
$options[] = array(    "name" => "Homepage Content",
                    "desc" => "Uncheck this box if you would prefer to have the post experpt to display instead of the post content.",
                    "id" => $shortname."_home_content",
                    "std" => "true",
                    "type" => "checkbox");
                                        
$options[] = array(    "name" => "Archive Boxes",
                    "desc" => "Select whether you want only full-width posts (Off), only 2-col / boxed posts (On), or a combination of the two (number of full-width posts)",
                    "id" => $shortname."_archive_boxes",
                    "std" => "On",
                    "type" => "select",
                    "options" => $layout_select );
                    
$options[] = array(    "name" => "Archive Content",
                    "desc" => "Uncheck this box if you would prefer to have the post experpt to display instead of the post content.",
                    "id" => $shortname."_archive_content",
                    "std" => "true",
                    "type" => "checkbox");                               
                    
                    /*
						
$options[] = array(	"name" => "Activate 1 Column Homepage",
					"desc" => "This will activate the custom homepage which shows blog posts in one wider column, rather than the default two column blog post boxes.",
					"id" => $shortname."_home",
					"std" => "false",
					"type" => "checkbox");
                    
                    */

$options[] = array(	"name" => "Disable Sidebar Tabs",
					"desc" => "Disable the tabs in the sidebar if you don't wish to use them.",
					"id" => $shortname."_tabs",
					"std" => "false",
					"type" => "checkbox");

$options[] = array(	"name" => "Display author info?",
					"desc" => "Display author info below single posts. Set this by editing your user in WP admin and adding text in 'Biographical Info'.",
					"id" => $shortname."_author",
					"std" => "false",
					"type" => "checkbox");
					
$options[] = array( "name" => "Navigation Options",
					"icon" => "nav",
					"type" => "heading");    

$options[] = array( "name" => "Exclude Pages from Top Navigation",
					"desc" => "Enter a comma-separated list of <a href='http://support.wordpress.com/pages/8/'>ID's</a> that you'd like to exclude from the top navigation. (e.g. 12,23,27,44)",
					"id" => $shortname."_nav_exclude",
					"std" => "",
					"type" => "text");  
					
$options[] = array( "name" => "Exclude Categories from Secondary Navigation",
					"desc" => "Enter a comma-separated list of <a href='http://support.wordpress.com/pages/8/'>ID's</a> that you'd like to exclude from the category navigation. (e.g. 12,23,27,44)",
					"id" => $shortname."_catnav_exclude",
					"std" => "",
					"type" => "text");
									
$options[] = array(	"name" => "Video Player &amp; Video Archives",
					"icon" => "media",
					"type" => "heading");

$options[] = array(	"name" => "Display Video on Home?",
					"desc" => "Check this box if you wish to display the video panel on your homepage.",
					"id" => $shortname."_show_video",
					"std" => "false",
					"type" => "checkbox");				
						
$options[] = array( "name" => "Video Tag Category",
					"desc" => "Add comma separated list for the tag categories that you would like to have displayed in the video panel on your homepage.",
					"id" => $shortname."_video_tags",
					"std" => "",
					"type" => "text");
                    
                    /*
$options[] = array( "name" => "Use Archive Template for Tags",
                    "desc" => "If checked, the special video archive template will be usedfor these tag archives in the theme.",
                    "id" => $shortname."_video_tags_archive",
                    "std" => "true",
                    "type" => "checkbox");
                    
$options[] = array( "name" => "Video Category for Archives",
                    "desc" => "Select a category that will act as your main video category archive. It will also make use of the special video archive template.",
                    "id" => $shortname."_video_cat",
                    "std" => "",
                    "type" => "select",
                    "options" => $woo_categories);
                    */
$options[] = array(    "name" => "Home Page Carousel",
					"icon" => "featured",
                    "type" => "heading");

$options[] = array(    "name" => "Display Carousel?",
                    "desc" => "Check this box if you wish to display the carousel on your homepage.",
                    "id" => $shortname."_show_carousel",
                    "std" => "false",
                    "type" => "checkbox");
                        
$options[] = array( "name" => "Featured Tag Category",
                    "desc" => "Add comma separated list for the tag categories that you would like to have displayed in the featured section on your homepage.",
                    "id" => $shortname."_featured_tags",
                    "std" => "",
                    "type" => "text");

$options[] = array(    "name" => "Featured Entries",
                    "desc" => "Select the number of entries that should appear in the Featured Article scroller.",
                    "id" => $shortname."_feat_entries",
                    "std" => "Select a Number:",
                    "type" => "select",
                    "options" => $other_entries);
                    
$options[] = array(    "name" => "Slider Fade",
                    "desc" => "Slides will have a fade transition",
                    "id" => $shortname."_slider_sfade",
                    "std" => "false",
                    "type" => "checkbox");
              
$options[] = array(    "name" => "Content Fade",
                    "desc" => "Slide Content will have a fade transition",
                    "id" => $shortname."_slider_cfade",
                    "std" => "false",
                    "type" => "checkbox");         

$options[] = array(    "name" => "Slide/Fade Speed",
                    "desc" => "The time in seconds it will take for the slide transition to complete.",
                    "id" => $shortname."_slider_speed",
                    "std" => "0.6",
					"type" => "select",
					"options" => array( '0.0', '0.1', '0.2', '0.3', '0.4', '0.5', '0.6', '0.7', '0.8', '0.9', '1.0', '1.1', '1.2', '1.3', '1.4', '1.5', '1.6', '1.7', '1.8', '1.9', '2.0' ) );
                    
$options[] = array(    "name" => "Slide/Fade Auto Start Time",
                    "desc" => "The time in seconds before the slides start to automatically slide.",
                    "id" => $shortname."_slider_timeout",
                    "std" => "6",
					"type" => "select",
					"options" => array( '1', '2', '3', '4', '5', '6', '7', '8', '9', '10' ) );

$options[] = array(    "name" => "Content Slide/Fade Speed",
                    "desc" => "The time in seconds it will take for the slide content transition to complete.",
                    "id" => $shortname."_slider_content_speed",
                    "std" => "1.0",
					"type" => "select",
					"options" => array( '0.0', '0.1', '0.2', '0.3', '0.4', '0.5', '0.6', '0.7', '0.8', '0.9', '1.0', '1.1', '1.2', '1.3', '1.4', '1.5', '1.6', '1.7', '1.8', '1.9', '2.0' ) );
                    
$options[] = array(    "name" => "Carousel Height",
                    "desc" => "Adjust the defualt height of the slider.",
                    "id" => $shortname."_carousel_height",
                    "std" => "292",
                    "type" => "text");
                    
$options[] = array( "name" => "Slider Exclude Posts",
					"desc" => "Exclude the slider posts from posts below slider.",
					"id" => $shortname."_slider_exclude",
					"std" => "true",
					"type" => "checkbox");        
					
$options[] = array(	"name" => "Home Page Talking Points",
					"icon" => "misc",
					"type" => "heading");

$options[] = array(	"name" => "Display Talking Points?",
					"desc" => "Check this box if you wish to display the talking points module on your homepage.",
					"id" => $shortname."_show_talking_points",
					"std" => "false",
					"type" => "checkbox");				
						
$options[] = array( "name" => "Talking Points Tag Category",
					"desc" => "Add comma separated list for the tag categories that you would like aggregate onto your Talking Points panel on your homepage.",
					"id" => $shortname."_talking_points_tags",
					"std" => "",
					"type" => "text");
                        
$options[] = array(	"name" => "Dynamic Images",
					"icon" => "image",
					"type" => "heading");	

$options[] = array( "name" => 'Dynamic Image Resizing',
					"desc" => "",
					"id" => $shortname."_wpthumb_notice",
					"std" => 'There are two alternative methods of dynamically resizing the thumbnails in the theme, <strong>WP Post Thumbnail</strong> or <strong>TimThumb - Custom Settings panel</strong>. We recommend using WP Post Thumbnail option.',
					"type" => "info");					

$options[] = array( "name" => "WP Post Thumbnail",
					"desc" => "Use WordPress post thumbnail to assign a post thumbnail. Will enable the <strong>Featured Image panel</strong> in your post sidebar where you can assign a post thumbnail.",
					"id" => $shortname."_post_image_support",
					"std" => "true",
					"class" => "collapsed",
					"type" => "checkbox" );

$options[] = array( "name" => "WP Post Thumbnail - Dynamic Image Resizing",
					"desc" => "The post thumbnail will be dynamically resized using native WP resize functionality. <em>(Requires PHP 5.2+)</em>",
					"id" => $shortname."_pis_resize",
					"std" => "true",
					"class" => "hidden",
					"type" => "checkbox" );

$options[] = array( "name" => "WP Post Thumbnail - Hard Crop",
					"desc" => "The post thumbnail will be cropped to match the target aspect ratio (only used if 'Dynamic Image Resizing' is enabled).",
					"id" => $shortname."_pis_hard_crop",
					"std" => "true",
					"class" => "hidden last",
					"type" => "checkbox" );

$options[] = array( "name" => "TimThumb - Custom Settings Panel",
					"desc" => "This will enable the <a href='http://code.google.com/p/timthumb/'>TimThumb</a> (thumb.php) script which dynamically resizes images added through the <strong>custom settings panel below the post</strong>. Make sure your themes <em>cache</em> folder is writable. <a href='http://www.woothemes.com/2008/10/troubleshooting-image-resizer-thumbphp/'>Need help?</a>",
					"id" => $shortname."_resize",
					"std" => "true",
					"type" => "checkbox" );

$options[] = array( "name" => "Automatic Image Thumbnail",
					"desc" => "If no thumbnail is specifified then the first uploaded image in the post is used.",
					"id" => $shortname."_auto_img",
					"std" => "false",
					"type" => "checkbox" );                        
$options[] = array( "name" => "Thumbnails for Full width posts",
                    "desc" => "Enter an integer value i.e. 100 for the desired size which will be used when dynamically creating the images.",
                    "id" => $shortname."_full_dimensions",
                    "std" => "",
                    "type" => array( 
                                    array(  'id' => $shortname. '_full_thumb_width',
                                            'type' => 'text',
                                            'std' => 560,
                                            'meta' => 'Width',
                                            ),
                                    array(  'id' => $shortname. '_full_thumb_height',
                                            'type' => 'text',
                                            'std' => 180,
                                            'meta' => 'Height',
                                            )
                             ));

$options[] = array( "name" => "Thumbnails for 2-col post boxes",
					"desc" => "Enter an integer value i.e. 100 for the desired size which will be used when dynamically creating the images.",
					"id" => $shortname."_boxed_thumbs",
					"std" => "",
					"type" => array( 
									array(  'id' => $shortname. '_boxed_thumb_width',
											'type' => 'text',
											'std' => 234,
											'meta' => 'Width',
											),
									array(  'id' => $shortname. '_boxed_thumb_height',
											'type' => 'text',
											'std' => 100,
											'meta' => 'Height',
											)
							 ));
						
$options[] = array(	"name" => "Disable Single Post",
					"desc" => "Check this if you don't want to display the thumbnail on the single posts.",
					"id" => $shortname."_image_single",
					"std" => "false",
					"type" => "checkbox");	
						
$options[] = array( "name" => "Single Post Image",
					"desc" => "Enter an integer value i.e. 100 for the desired size which will be used when dynamically creating the images.",
					"id" => $shortname."_image_dimensions",
					"std" => "",
					"type" => array( 
									array(  'id' => $shortname. '_single_width',
											'type' => 'text',
											'std' => 250,
											'meta' => 'Width',
											),
					                array(  'id' => $shortname. '_single_height',
											'type' => 'text',
											'std' => 180,
											'meta' => 'Height',
											)
							 ));
							 
$options[] = array(	"name" => "Footer",
					"icon" => "footer",
					"type" => "heading");					

$options[] = array( "name" => "Custom Logo",
					"desc" => "Upload an image to display to the left of the footer section, or specify the image address of an image that is already hosted somewhere (e.g. http://yoursite.com/logo.png). Please note this image should have a maximum width of 200 pixels.",
					"id" => $shortname."_footer_image",
					"std" => "",
					"type" => "upload");  

$options[] = array(	"name" => "Ads - Top Banner (468x60px)",
					"icon" => "ads",
					"type" => "heading");

$options[] = array(	"name" => "Disable Ad",
					"desc" => "Disable the ad space",
					"id" => $shortname."_ad_top_disable",
					"std" => "false",
					"type" => "checkbox");
	
$options[] = array(	"name" => "Adsense code",
					"desc" => "Enter your adsense code here.",
					"id" => $shortname."_ad_top_adsense",
					"std" => "",
					"type" => "textarea");
	
$options[] = array(	"name" => "Banner Ad Top - Image Location",
					"desc" => "Enter the URL to the banner ad image location.",
					"id" => $shortname."_ad_top_image",
					"std" => "http://www.woothemes.com/ads/468x60a.jpg",
					"type" => "text");
	
$options[] = array(	"name" => "Banner Ad Top - Destination",
					"desc" => "Enter the URL where this banner ad points to.",
					"id" => $shortname."_ad_top_url",
					"std" => "http://www.woothemes.com",
					"type" => "text");	
			    		
$options[] = array(	"name" => "Ads - Sidebar Widget (125x125)",
					"icon" => "ads",
					"type" => "heading");

$options[] = array(	"name" => "Rotate banners?",
					"desc" => "Check this to randomly rotate the banner ads.",
					"id" => $shortname."_ads_rotate",
					"std" => "true",
					"type" => "checkbox");	

$options[] = array(	"name" => "Banner Ad #1 - Image Location",
					"desc" => "Enter the URL for this banner ad.",
					"id" => $shortname."_ad_image_1",
					"std" => "http://www.woothemes.com/ads/125x125a.jpg",
					"type" => "text");
						
$options[] = array(	"name" => "Banner Ad #1 - Destination",
					"desc" => "Enter the URL where this banner ad points to.",
					"id" => $shortname."_ad_url_1",
					"std" => "http://www.woothemes.com",
					"type" => "text");					

$options[] = array(	"name" => "Banner Ad #2 - Image Location",
					"desc" => "Enter the URL for this banner ad.",
					"id" => $shortname."_ad_image_2",
					"std" => "http://www.woothemes.com/ads/125x125b.jpg",
					"type" => "text");
						
$options[] = array(	"name" => "Banner Ad #2 - Destination",
					"desc" => "Enter the URL where this banner ad points to.",
					"id" => $shortname."_ad_url_2",
					"std" => "http://www.woothemes.com",
					"type" => "text");

$options[] = array(	"name" => "Banner Ad #3 - Image Location",
					"desc" => "Enter the URL for this banner ad.",
					"id" => $shortname."_ad_image_3",
					"std" => "http://www.woothemes.com/ads/125x125c.jpg",
					"type" => "text");
						
$options[] = array(	"name" => "Banner Ad #3 - Destination",
					"desc" => "Enter the URL where this banner ad points to.",
					"id" => $shortname."_ad_url_3",
					"std" => "http://www.woothemes.com",
					"type" => "text");

$options[] = array(	"name" => "Banner Ad #4 - Image Location",
					"desc" => "Enter the URL for this banner ad.",
					"id" => $shortname."_ad_image_4",
					"std" => "http://www.woothemes.com/ads/125x125d.jpg",
					"type" => "text");
						
$options[] = array(	"name" => "Banner Ad #4 - Destination",
					"desc" => "Enter the URL where this banner ad points to.",
					"id" => $shortname."_ad_url_4",
					"std" => "http://www.woothemes.com",
					"type" => "text");																														
                                                   

// Add extra options through function
if ( function_exists("woo_options_add") )
	$options = woo_options_add($options);

if ( get_option('woo_template') != $options) update_option('woo_template',$options);      
if ( get_option('woo_themename') != $themename) update_option('woo_themename',$themename);   
if ( get_option('woo_shortname') != $shortname) update_option('woo_shortname',$shortname);
if ( get_option('woo_manual') != $manualurl) update_option('woo_manual',$manualurl);

                                     
// Woo Metabox Options
                    

$woo_metaboxes = array();

$woo_metaboxes[] = array (
            "name" => "image",
            "label" => "Image",
            "type" => "upload",
            "desc" => "Upload file here...");
            
$woo_metaboxes[] = array (
            "name"  => "embed",
            "std"  => "",
            "label" => "Embed Code",
            "type" => "textarea",
            "desc" => "Enter the video embed code for your video");
    
// Add extra metaboxes through function
if ( function_exists("woo_metaboxes_add") )
	$woo_metaboxes = woo_metaboxes_add($woo_metaboxes);
    
if ( get_option('woo_custom_template') != $woo_metaboxes) update_option('woo_custom_template',$woo_metaboxes);      

}


?>